/*
 *  soundClip.mm
 *  SlingShot
 *
 *  Created by Keun Sup Lee on 2/3/10.
 *  Copyright 2010 __MyCompanyName__. All rights reserved.
 *
 */

#import "soundClip.h"
#import "rawData.h"


explosionClip::explosionClip()
{ 
	maxLength = 102170;
	play = false;
}


void explosionClip::startPlay()
{
	if( readPtr.size()>= MAX_POLY )
		return;
	
	long newPtr=0;
	readPtr.push_back(newPtr);

	if( !play )
		play = true;
}

void explosionClip::stopPlayAll()
{
	play = false;
	readPtr.clear();
}



Float32 explosionClip::Tick()
{
	Float32 output;
	
	if( !play ) {
		output = 0.f;
	} else {
		output = 0.f;

		for( std::vector<long>::size_type i=0; i < readPtr.size(); i++ ){
			if( readPtr[i] >= maxLength )
				readPtr.erase(readPtr.begin()+i);

			output += (explosion[readPtr[i]]/32768.f);
			readPtr[i]++;
			
		}
		
		if( readPtr.size() == 0 )
			play = false;
	}
	
	return output;
}




collisionClip::collisionClip()
{ 
	maxLength = 3344;
	play = false;
}


void collisionClip::startPlay()
{
	if( readPtr.size()>= MAX_POLY )
		return;
	
	long newPtr=0;
	readPtr.push_back(newPtr);
	
	if( !play )
		play = true;
}


void collisionClip::stopPlayAll()
{
	play = false;
	readPtr.clear();
}


Float32 collisionClip::Tick()
{
	Float32 output;
	
	if( !play ) {
		output = 0.f;
	} else {
		output = 0.f;
		
		for( std::vector<long>::size_type i=0; i < readPtr.size(); i++ ){
			if( readPtr[i] >= maxLength )
				readPtr.erase(readPtr.begin()+i);

			output += (collision[readPtr[i]]/32768.f);
			readPtr[i]++;
			
		}
		
		if( readPtr.size() == 0 )
			play = false;
	}
	
	return output;
	
/*
	Float32 output;
	
	if( !play ) {
		output = 0.f;
	} else {
		output = (collision[readPtr]/32768.f);
		
		if( ++readPtr >= maxLength ) {
			play = false;
			readPtr = 0;
		}
	}
	
	return output;
*/
}

