//
//  ES1Renderer.h
//  hw2_graphics
//
//  Created by slork on 1/12/10.
//  Copyright Stanford University 2010. All rights reserved.
//

#import "ESRenderer.h"

#import <OpenGLES/ES1/gl.h>
#import <OpenGLES/ES1/glext.h>

#import "Stk.h"
#import "Plucked.h"
#import "NRev.h"
#import "soundClip.h"

#define IN_THE_AIR	0x0
#define REFLECT_X	0x1
#define REFLECT_Y	0x2
#define BLACKHOLE	0x4
#define COLLISION	0x8


using namespace stk;


struct AudioData {
	Plucked *pluck;
	NRev *reverb;
	collisionClip *cClip;
	explosionClip *eClip;
};


struct Projectile {
	CGPoint pos;
	CGPoint dir;
	Float32 speed;
};

struct Collision {
	bool on;
	bool explosion;
	CGPoint pos;
};



@interface ES1Renderer : NSObject <ESRenderer>
{
@private
	EAGLContext *context;
	
	// The pixel dimensions of the CAEAGLLayer
	GLint backingWidth;
	GLint backingHeight;
	
	// The OpenGL names for the framebuffer and renderbuffer used to render to this view
	GLuint defaultFramebuffer, colorRenderbuffer;
	
	struct AudioData audioData;

}

- (void) render;
- (void) readPreference;
- (BOOL) resizeFromLayer:(CAEAGLLayer *)layer;

@end
