//
//  FlipsideViewController.h
//  hw2
//
//  Created by slork on 1/18/10.
//  Copyright Stanford University 2010. All rights reserved.
//


@protocol FlipsideViewControllerDelegate;


@interface FlipsideViewController : UIViewController {
	id <FlipsideViewControllerDelegate> delegate;
	
	IBOutlet UISwitch *gravitySW;
	IBOutlet UISwitch *shakeSW;
	IBOutlet UISwitch *eraseBandSW;
	
	IBOutlet UISlider *tensionSlider;
	IBOutlet UISlider *wallResistSlider;
	IBOutlet UISlider *airResistSlider;

	IBOutlet UISlider *revTimeSlider;
	IBOutlet UILabel *revTimeLabel;

	IBOutlet UISegmentedControl *themesSeg;

	bool gravity;
	bool shake;
	bool eraseBand;
	
	float tension;
	float wallResist;
	float airResist;
	
	float revTime;
	
	int themesIndex;
}

@property (nonatomic, assign) id <FlipsideViewControllerDelegate> delegate;

@property (nonatomic, retain) IBOutlet UISwitch *gravitySW;
@property (nonatomic, retain) IBOutlet UISwitch *shakeSW;
@property (nonatomic, retain) IBOutlet UISwitch *eraseBandSW;

@property (nonatomic, retain) IBOutlet UISlider *tensionSlider;
@property (nonatomic, retain) IBOutlet UISlider *wallResistSlider;
@property (nonatomic, retain) IBOutlet UISlider *airResistSlider;

@property (nonatomic, retain) IBOutlet UISlider *revTimeSlider;
@property (nonatomic, retain) IBOutlet UILabel *revTimeLabel;

@property (nonatomic, retain) IBOutlet UISegmentedControl *themesSeg;


- (IBAction)done;

- (IBAction)changeGravitySW;
- (IBAction)changeShakeSW;
- (IBAction)changeEraseBandSW;

- (IBAction)changeTensionSlider:(id)sender;
- (IBAction)changeWallResistSlider:(id)sender;
- (IBAction)changeAirResistSlider:(id)sender;

- (IBAction)changeRevTimeSlider:(id)sender;

- (IBAction)changeThemes;


@end


@protocol FlipsideViewControllerDelegate
- (void)flipsideViewControllerDidFinish:(FlipsideViewController *)controller;
@end

